petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecSetUp

Sets up the internal vector data structures for the later use.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetUp(Vec v)

Collective on Vec

### Input Parameters

v -the Vec context

### Notes

For basic use of the Vec classes the user need not explicitly call VecSetUp(), since these actions will happen automatically.

### Keywords

Vec, setup

### See Also

VecCreate(), VecDestroy()

### Level

advanced

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html
src/dm/field/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex31.c.html
src/ts/examples/tutorials/ex40.c.html
src/ts/examples/tutorials/ex41.c.html

### Implementations

VecSetUp_Nest_Private in src/vec/vec/impls/nest/vecnest.c
VecSetUp_NestIS_Private in src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages